OPTIONS (DIRECT=TRUE,
ERRORS = %ERRORSNUM%,
DEGREE_OF_PARALLELISM=AUTO,
PARALLEL=%PARALLEL%,
SKIP_INDEX_MAINTENANCE=TRUE,
SKIP_UNUSABLE_INDEXES=TRUE,
TRIM=LRTRIM,
%SILENT%,
%SKIP%)

UNRECOVERABLE
LOAD DATA

INFILE '%INPUTFILELOCATION%CI_ADJ%FILEPIPENAME%'
BADFILE '%OUTPUTFILELOCATION%CI_ADJ%TIMESTAMP%.bad'
DISCARDFILE '%OUTPUTFILELOCATION%CI_ADJ%TIMESTAMP%.dsc'
%COMMAND%
PRESERVE BLANKS


INTO TABLE CI_ADJ
FIELDS TERMINATED BY "," OPTIONALLY ENCLOSED BY '"' TRAILING NULLCOLS
(BEHALF_SA_ID CHAR(10),
ADJ_ID CHAR(12),
SA_ID CHAR(10),
ADJ_TYPE_CD CHAR(8),
ADJ_STATUS_FLG CHAR(2),
CRE_DT DATE 'YYYY-MM-DD',
CAN_RSN_CD CHAR(4),
ADJ_AMT INTEGER EXTERNAL,
XFER_ADJ_ID CHAR(12),
CURRENCY_CD CHAR(3),
COMMENTS CHAR(254),
GEN_REF_DT DATE 'YYYY-MM-DD',
BASE_AMT INTEGER EXTERNAL,
ADJ_DATA_AREA CHAR(10000) ENCLOSED BY '<endclob>',
APPR_REQ_ID CHAR(12),
ILM_DT DATE 'YYYY-MM-DD',
ILM_ARCH_SW CHAR(1),
VERSION INTEGER EXTERNAL TERMINATED BY WHITESPACE)
